TPTI-09-08: HP OpenView NNM ovlogin.exe CGI userid/passwd Heap Overflow Vulnerability

2009-12-09T00:00:00
ID SECURITYVULNS:DOC:22906
Type securityvulns
Reporter Securityvulns
Modified 2009-12-09T00:00:00

Description

TPTI-09-08: HP OpenView NNM ovlogin.exe CGI userid/passwd Heap Overflow Vulnerability http://dvlabs.tippingpoint.com/advisory/TPTI-09-08 December 9, 2009

-- CVE ID: CVE-2009-3846

-- Affected Vendors: Hewlett-Packard

-- Affected Products: Hewlett-Packard OpenView Network Node Manager

-- TippingPoint(TM) IPS Customer Protection: TippingPoint IPS customers have been protected against this vulnerability by Digital Vaccine protection filter ID 8416. For further product information on the TippingPoint IPS, visit:

http://www.tippingpoint.com

-- Vulnerability Details: This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Hewlett-Packard OpenView Network Node Manager. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the ovlogin.exe CGI application. During authentication both the userid and passwd POST variables are passed to this CGI and copied in to a static 0x100 byte heap buffer via a sprintf() call. By specifying large enough strings this buffer can be overflowed leading to arbitrary code execution.

-- Vendor Response: Hewlett-Packard has issued an update to correct this vulnerability. More details can be found at:

http://h20000.www2.hp.com/bizsupport/TechSupport/Document.jsp?objectID=c01950877

-- Disclosure Timeline: 2009-07-13 - Vulnerability reported to vendor 2009-12-09 - Coordinated public release of advisory

-- Credit: This vulnerability was discovered by: * Aaron Portnoy, TippingPoint DVLabs